package com.sky.ioc.controller.scene;
import com.sky.ioc.service.meeting.MeetingRoomService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags ="智慧场景----配置会议")
@Slf4j
@RestController
@RequestMapping("/meetingroom")
public class MeetingRoomController {

    @Autowired
    MeetingRoomService meetingRoomService;
    @ApiOperation("会议室总览")
    @PostMapping("/getMeetingRoomList")
    public ReturnMsg getMeetingRoomList(@RequestParam(value = "date", required=false)String date){
        return meetingRoomService.getMeetingRoomStatus(date);
    }

}
